/*====================================================================
  cfgfile.h -> Encapsulates config stuff (header file).
  $Revision: 1.8 $

              (c) 2000 Santiago Romero AkA NoP / Compiler
                         sromero@unix-shells.com

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Please read the README.* files to know how popmail works.
 ====================================================================*/

#ifndef _PARSE_H_
#define _PARSE_H_

#include <sys/stat.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <netdb.h>
#include <stdlib.h>
#include <regex.h>
#include <libintl.h>
#include <ctype.h>

#include "server.h"
#include "util.h"
#include "filter.h"
/*-------------------------------------------------------------------*/

int CreateCFGFile( char * );
int ParseFileForNumServers( FILE * );
int ParseFileForServers( FILE *, int, struct Server ** );
int ParseFileForOptions( FILE *, char *, int *, struct Filters *,
								char *);
int get_password (char *password);

#endif /* _PARSE_H_ */
