/*====================================================================
  popmail.h -> structures and some definitions for main program
  $Revision: 1.8 $

              (c) 2000 Santiago Romero AkA NoP / Compiler
                        santiago.romero@iname.com

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Please read the README.* files to know how checkmail works.
 ====================================================================*/

#ifndef _POPMAIL_H_
#define _POPMAIL_H_

#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <getopt.h>
#include <libintl.h>
#include <locale.h>

#include "server.h"

/*-------------------------------------------------------------------*/
typedef enum { SILENT, NORMAL, VERBOSE, INTERACTIVE } t_mode ; 

#define  DENY_FROM        0
#define  DENY_SUBJECT     1

extern int opt_dummy;
extern struct  Server **servidores;
extern t_mode mode;
struct  Filters filters;

/*-------------------------------------------------------------------*/
#endif /* _POPMAIL_H */
