/*====================================================================
  basicas.c -> This code has been taken from JFPOP from *puntero_loco
               and ferkys. JFPOP is a nice pop client which has anti-
               spamm support between other great features (get it!).
  $Revision: 1.6 $
	
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ====================================================================*/
#include "popsockets.h"

#define LENMSG 512
static const char rcsid[]="$Id: popsockets.c,v 1.6 2004/09/09 11:53:29 alberto Exp $";

/*--- Send data to sockets ------------------------------------------*/
inline int Send(int fdsocket, const void *buffer, int lon,
                unsigned int flags)
{
    int leidos;

    if ((leidos = send(fdsocket, buffer, lon, flags)) == -1)
        Perror("send");
    return leidos;
}


/*--- Receive data from sockets -------------------------------------*/
inline int Recv(int fdsocket, void *buffer, int lon, unsigned int flags)
{

    int leidos;

    if ((leidos = recv(fdsocket, buffer, lon, flags)) == -1)
        Perror("recv");
    return leidos;
}


/*--- Send data to the specified socket -----------------------------*/
inline char *Sendf(int fdsocket, unsigned int flags,
                   char *formato, ...)
{
    va_list argumentos;
    char *buffer;

    buffer = (char *)Malloc(sizeof(char)*512);

    va_start (argumentos, formato);
    memset((char *) buffer, 0, LENMSG);
    vsnprintf(buffer, LENMSG, formato, argumentos);
    va_end (argumentos);
    Send(fdsocket, buffer, strlen(buffer), flags);
    return(buffer);
}


/*--- Read from the socket ------------------------------------------*/
inline int readsock(int sockfd, char *buffer, int size)
{
    char *newline, *bp = buffer;
    int leer;

    do
    {
       leer = Recv(sockfd, bp, size, MSG_PEEK);

       /* do not unqueue */
       if ((newline = memchr(bp, '\n', leer)) != NULL)
           leer = newline - bp + 1;
       Recv(sockfd, bp, leer, 0);

       bp += leer;       /* Advance buffer pointer */
       size -= leer;
    }
    while (!newline && size);

    /* do while we should still read */
    *bp = '\0';
    return (bp - buffer);
}


/*--- Read a single line from the socket ----------------------------*/
inline int GetLineFromSocket(int sockfd, char *buffer, int size)
{
    int queda;

    memset((char *) buffer, 0, size);
    queda = readsock(sockfd, buffer, size);

    if (buffer[strlen(buffer) - 1] == '\n');
    buffer[strlen(buffer) - 1] = '\0';
    if (buffer[strlen(buffer) - 1] == '\r');
    buffer[strlen(buffer) - 1] = '\n';
    return(queda);      /* to be used on the leesock() while; */
}

