/*====================================================================
  util.h -> Auxiliary routines
  $Revision: 1.4 $

 Copyright (c) 2000 Santiago Romero AkA NoP / Compiler 
 sromero@unix-shells.com

 Copyright	(c) 2003 L. Alberto Gimnez <algibe@teleline.es>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Please read the README.* files to know how popmail works.
 ====================================================================*/

#ifndef _UTIL_H_
#define _UTIL_H_

#include <stdio.h>
#include <ctype.h>
#include <libintl.h>
#include <string.h>
#include <stdlib.h>


void CheckBuffer( char * );
int GetnWord(char *, int, char *, int);
int get_last_word (char *s, char *word, int count);
int ExtractLine(char *, int, int, char *);
int CountLines( char * );

/* Counts number of white-space delimited words of STRING */
int count_words (char *string);

void error(const char *);
void Perror(const char *);
void *Malloc(size_t size);

char GetFirstWord (char *buffer, int maxsize, char *word);
char GetYesNo (void);



#endif /* _UTIL_H_ */
